### Method

# Gdk Clipboardread_texture_async

#### Declaration [src]

    void
    gdk_clipboard_read_texture_async (
      GdkClipboard* clipboard,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously request the `clipboard` contents converted to a `GdkPixbuf`.

When the operation is finished `callback` will be called. You must then call `gdk_clipboard_read_texture_finish()` to get the result.

This is a simple wrapper around `gdk_clipboard_read_value_async()`. Use that function or `gdk_clipboard_read_async()` directly if you need more control over the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.